package cz.zcu.kiv.vsp.msloup.patient;

import cz.zcu.kiv.vsp.msloup.request.IRequest;

/**
 * Trida reprezentujici pozadavek, tedy pacienta v simulaci
 * @author Martin Sloup
 *
 */
public class Patient implements IRequest {
	private double inputTime;

	/**
	 * Konstruktor pacienta s udanim casu prichodu do simulace
	 * @param inputTime	cas prichodu do simulace
	 */
	protected Patient(double inputTime) {
		this.inputTime = inputTime;
	}

	/**
	 * Vraci cas prichodu pacienta do simulace
	 * @return	cas prichodu
	 */
	@Override
	public double getInputTime() {
		return inputTime;
	}
}
