package cz.zcu.kiv.vsp.msloup.statistic;

import cz.zcu.fav.kiv.jsim.JSimHead;
import cz.zcu.fav.kiv.jsim.JSimProcess;
import cz.zcu.kiv.vsp.msloup.request.IRequest;

/**
 * Interface pro tridy pocitajici statistiku
 * @author Martin Sloup
 *
 */
public interface IStatistics {
	/**
	 * Inicializuje objekt pocitajici statistiku
	 * @param source	zdroj, ktery bude predavat pozadavky pro vypocet statistiky
	 * @param queue		fronta zdroje
	 */
	public void initialize(JSimProcess source, JSimHead queue);

	/**
	 * Zpracuje statistiku prijateho pozadavku
	 * @param request	prijaty pozadavek ke spracovani
	 * @param queueEnterTime cas, kdy pozadavek vstoupil do fronty
	 * @param processingTime cas, spracovani pozadavku
	 */
	public void processRequest(IRequest request, double queueEnterTime, double processingTime);
}
