package cz.zcu.kiv.vsp.msloup.util;

/**
 * Trida pocitadla. Ve tride je zarucena atomicita operaci pro odecitani, pricitani.
 * @author Arcao
 *
 */
public class Counter {
	private long value;

	/**
	 * Konstruktor tridy s udanim pocatecni hodnoty
	 * @param initialValue	pocatecni hodnota
	 */
	public Counter(long initialValue) {
		value = initialValue;
	}

	/**
	 * Zvedne hodnotu pocitadla o jednicku a vrati novou hodnotu
	 * @return	novou hodnotu po vypoctu
	 */
	public synchronized long inc() {
		return value++;
	}

	/**
	 * Snizi hodnotu pocitadla o jednicku a vrati novou hodnotu
	 * @return	novou hodnotu po vypoctu
	 */
	public synchronized long dec() {
		return value--;
	}

	/**
	 * Vrati aktualni hodnotu pocitadla
	 * @return	aktualni hodnota pocitadla
	 */
	public synchronized long getValue() {
		return value;
	}
}
